
Summary:	Redo the Master Boot Record (MBR) 
Summary(de):	MBR-Wiederherstellung
Name:		mate-redo-mbr
Version:	0.2
Release:	%mkrel 2
License:	GPL
Group:		System/Configuration/Other
Source0:	http://pclinuxos.com/%{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://pclinuxos.com/
Obsoletes:	redo-lilo
Requires:	os-prober
Requires:	mate-text-editor
Requires:	zenity
Requires:	gksu
BuildArch:	noarch

%description
Re-install Master Boot Record (MBR).

%description -l de
von redo-mbr
Re-installieren des Master Boot Record (MBR) von der Livecd. 

%prep

%setup -q 

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%{_sbindir}
install -m 755 mate-redo-mbr $RPM_BUILD_ROOT/%{_sbindir}

mkdir -p %buildroot%{_datadir}/applications
cat > %buildroot%{_datadir}/applications/mate-redo-mbr.desktop << EOF
[Desktop Entry]
Name=Mate Redo MBR
Name[de]=MBR-Wiederherstellung
Exec=gksu -l %{_sbindir}/%name
Comment=Restore Master Boot Record
Comment[de]=Wiederherstellung des Master Boot Record (MBR)
Icon=boot_init_section.png
Terminal=false
Type=Application
StartupNotify=true
Categories=Settings;X-MandrivaLinux-System-Configuration-BootandInit;
EOF


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%{_sbindir}/mate-redo-mbr
%{_datadir}/applications/mate-redo-mbr.desktop


%changelog
* Sun Jul 07 2013 billybot <billybot> 0.2-2pclos2013
- rebuild for mate

* Sun Jul 07 2013 billybot <billybot> 0.2-1pclos2013
- create package for mate
